# -*- coding: utf-8 -*-

from django.conf.urls import url

from account import views as account_views
from photo import views as photo_views


urlpatterns = [
    url(r'^login$', account_views.lesman_login_api, name='lesman_login_api'),
    url(r'^u/is_registered$', account_views.user_is_registered_api, name='user_is_registered_api'),  # 用户是否已经注册
    url(r'^u/signup$', account_views.user_signup_api, name='user_signup_api'),  # 用户注册
    url(r'^u/login$', account_views.user_login_api, name='user_login_api'),  # 用户登录
]

urlpatterns += [
    url(r'^uuid_init$', photo_views.uuid_init, name='uuid_init'),  # 生成唯一标识
    url(r'^uuid$', photo_views.uuid, name='uuid'),  # 获取唯一标识
    url(r'^photos/upload$', photo_views.upload_photo, name='upload_photo'),  # 上传图片
]

urlpatterns += [
    url(r'^s/(?P<session>\w+)$', photo_views.session_detail_api, name='session_detail_api'),  # Session 详情
    url(r'^p/(?P<photo>\w+)$', photo_views.photo_standard_api, name='photo_standard_api'),  # standard thumbnail, available for free
]
